Bug 740730 - The Option " Override md5sum check " doesn't work.
Summary: The Option " Override md5sum check " doesn't work.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog
Version: 6.1
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: ---
Assignee: Pengfei Xue
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-23 06:37 UTC by Yunlong Xue
Modified: 2011-09-30 07:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-30 07:26:10 UTC


Attachments (Terms of Use)
patch for reviewers to upload a duplicated package to the same cert (1.23 KB, patch)
2011-09-23 06:51 UTC, Pengfei Xue
pxue: review? (tfu)
Details | Diff
patch for one display duplicated packages for a cert (953 bytes, patch)
2011-09-23 09:00 UTC, Pengfei Xue
pxue: review? (tfu)
Details | Diff

Description Yunlong Xue 2011-09-23 06:37:21 UTC
The  " Override md5sum check " didn't work when I want to re-upload attachment 524536 [details] in https://hardware.redhat.com/show.cgi?id=713543

1.Download the attachment 524536 [details].
2.Click "Browse" and select this attachment.
3.Tick the Option " Override md5sum check "
4.Click Attach File

Then :

Results package already submitted. Matching md5sum found for results in the following certification(s).
Cert ID 	Attach ID 	File Name
713543 	519469 	v7-Intel_Corporation-T5520UR-Santiago_i686_results-20110822165237.noarch.rpm

Comment 2 Pengfei Xue 2011-09-23 06:51:33 UTC
Created attachment 524545 [details]
patch for reviewers to upload a duplicated package to the same cert

Comment 3 Pengfei Xue 2011-09-23 09:00:01 UTC
Created attachment 524564 [details]
patch for one display duplicated packages for a cert

need to show packages separately if upload duplicated packages to the same cert

Comment 4 Rob Landry 2011-09-23 17:31:35 UTC
Why do we need this feature?  The package is already attached to the cert, attaching it again serves what purpose?

Comment 5 Yunlong Xue 2011-09-26 01:49:24 UTC
(In reply to comment #4)
> Why do we need this feature?  The package is already attached to the cert,
> attaching it again serves what purpose?

Take a look at comment55 and comment56 in this cert.
Vendor have uploaded two results packages.But catalog do not identify this two result package correctly.(A correct example: comment39 and 40).
So we want to reupload these two packaged to see if this problem can be fixed, but the " Override md5sum check " doesn't work.

Comment 6 Wei Shen 2011-09-26 02:48:09 UTC
it seems comment25 is what you want to upload (attachment 524536 [details]), because they have the same md5 sum. If they didn't upload that rpm as results, md5 sum won't be recorded in db, I think this bug is invalid


Note You need to log in before you can comment on or make changes to this bug.